///////////////////////////////////////////////////////////////////////////////
//
//			        			leszifr3 header
//			        		    for leszifr3_lib
//
//				   		  		   ver. 0.3 (c) SoftCream Software Ltd
//				  		  			(JPW 2018)
//
//									 WINDOWS
//
///////////////////////////////////////////////////////////////////////////////



//help (cmd)
#ifdef __cplusplus
extern "C" {
#endif
void __stdcall __declspec(dllimport) print_help(void);
#ifdef __cplusplus
}
#endif

//kodowanie tekstu metryczki i nazw pliku  *.archi cp1280 --> utf8 -->cp1250
// sw = 0 zachowuje kodowanie nazw i metryczki w cp1250
// sw = 1 zamienia znaki diakrytyczne nazw i metryczki z cp1250 na utf-8
#ifdef __cplusplus
extern "C" {
#endif
void __stdcall __declspec(dllimport) switch_utf_converting(int sw);
#ifdef __cplusplus
}
#endif

//kodowanie (cmd) print=1 wyswietla bledy
#ifdef __cplusplus
extern "C" {
#endif
int __stdcall __declspec(dllimport) leszifr3code(const char*fname, const char*passwd, int print);
#ifdef __cplusplus
}
#endif

//kodowanie z waczonym windows progress bar
#ifdef __cplusplus
extern "C" {
#endif
int __stdcall __declspec(dllimport) leszifr3code_g(const char* fname, const char*passwd, int print);
#ifdef __cplusplus
}
#endif

//dekodowanie (cmd) print=1 wyswietla bledy
#ifdef __cplusplus
extern "C" {
#endif
int __stdcall __declspec(dllimport) leszifr3decode(const char*fname, const char*passwd, int print);
#ifdef __cplusplus
}
#endif

//dekodowanie z wczonym windows progress barr
#ifdef __cplusplus
extern "C" {
#endif
int __stdcall __declspec(dllimport) leszifr3decode_g(const char*fname, const char*passwd, int print);
#ifdef __cplusplus
}
#endif

//odczyt dodanego opisu pliku (dekaracja char out[3000])
//pobrany tekst w out zchowuje znaki sterujace
#ifdef __cplusplus
extern "C" {
#endif
int __stdcall __declspec(dllimport) leszifr3desc(const char*fname, const char*passwd, char*out, int print);
#ifdef __cplusplus
}
#endif 

//odczyt wersji pliku lub generatora
//input:
//		-v  wyswietla w konsoli wersje leszifr
//		-vg wyswietal w konsoli wersje generatora szumu
#ifdef __cplusplus
extern "C" {
#endif
void __stdcall __declspec(dllimport) leszifr3ver(const char*ver);
#ifdef __cplusplus
}
#endif
 
